declare const _default: {
    name: string;
    props: {
        disabled: {
            type: BooleanConstructor;
            default: boolean;
        };
        currentPage: NumberConstructor;
        pageCount: NumberConstructor;
        pagerCount: NumberConstructor;
        popupIcon: {
            type: ObjectConstructor;
            default: () => any;
        };
        doubleLeftIcon: {
            type: ObjectConstructor;
            default: () => any;
        };
        doubleRightIcon: {
            type: ObjectConstructor;
            default: () => any;
        };
        isBeforePageChange: BooleanConstructor;
        tiny_mode: StringConstructor;
        tiny_mode_root: BooleanConstructor;
        tiny_template: (ObjectConstructor | FunctionConstructor)[];
        tiny_renderless: FunctionConstructor;
        tiny_theme: StringConstructor;
        tiny_chart_theme: ObjectConstructor;
    };
    setup(props: any, context: any): () => any;
};
export default _default;
